from fabric.api import env, run, cd, settings, local

env.roledefs = {
    'web': ['web1', 'web2', 'web3'],
    'db': ['db1', 'db2']
}


def cd_example():
    with cd('/tmp'):
        run('pwd')


def push_anyway():
    with settings(warn_only=True):
        # simulate failure
        local('false')
    run('echo doing it anyway')
